none
Medication version problem RRS feed

  • Question

  • Hi,

    I have integrated java application to HV now I have problem with medication. When I was trying to update medication I got the following exception

     

    com.microsoft.hsg.HVException: com.microsoft.hsg.HVUncategorizedException: Error: 85 The 'Medication' data type has been 
    versioned by HealthVault. The application cannot save the data because the existing instance of this data uses version 2 of the
    'Medication' data type whereas the application uses version 1.

     


    But I want to use 5c5f1223-f63c-4464-870c-3e36ba471def type medicacation. How can I force HV to use this?

    Because we do not have prescribed by fields, only have prescribed date so when we pass date value prescribed by is required field I guess.

    Thanks for the help in advance.


    • Edited by SmoothFor Monday, October 3, 2011 3:14 PM
    Monday, October 3, 2011 3:12 PM

All replies

  • The short answer is that you can't do what you want.

    Version 2 instances of medication may have data in fields that are not present, so if your application was allowed to update them it could lead to data loss. It is therefore prohibited by the HealthVault service.

    Can you explain more why you want to use the older version of the type?

     

    Monday, October 3, 2011 5:14 PM
  • Hi Eric,

    Thanks for the reply. I am not passing 'Prescribed By' but passing 'Prescription Date' so when we pass 'prescription date' prescribed by is required it seems.

    This is where am stuck.

    Tuesday, October 4, 2011 4:05 AM
  • I understand.

    The expectation of the type is that if you are going to fill out the prescription section, you have all the prescription information available.

    If you only have the date, I think that you should put that value in the "date started" and leave the prescription section empty.

    Tuesday, October 4, 2011 3:38 PM